import axios from 'axios';

//**************组件描述信息开始**********************
var componentJsonDataPaths = [
    './bar/description/堆积柱图.json',
    './base/description/下拉控件.json'
];

var componentDescribeDatas = [];

componentJsonDataPaths.forEach(d => {
    componentDescribeDatas.push(new Promise(function (resolve) {
        axios.get(d).then(res => {
            resolve(res.data)
        });
    }));
});
//**************组件描述信息结束**********************


//**************图层描述信息开始**********************
var gislayerDataPaths = [];

var gislayerDescribeDatas = [];

gislayerDataPaths.forEach(d => {
    gislayerDescribeDatas.push(new Promise(function (resolve) {
        axios.get(d).then(res => {
            resolve(res.data)
        });
    }));
});

var scenelayerDataPaths = [];

var scenelayerDescribeDatas = [];

scenelayerDataPaths.forEach(d => {
    scenelayerDescribeDatas.push(new Promise(function (resolve) {
        axios.get(d).then(res => {
            resolve(res.data)
        });
    }));
});

//**************图层描述信息结束**********************





//**************图表type路径映射******************* */


let chartTypeDictionary = {}





export {
    componentDescribeDatas,
    gislayerDescribeDatas,
    scenelayerDescribeDatas,
    //用于动态打包charts
    chartTypeDictionary
}