import Vue from 'vue';
import App from './App.vue';
import router from "./Router.js";
import ElementUI from "element-ui";
import "element-ui/lib/theme-chalk/index.css";
/* import "../custom/property/assets/style/cover.scss";
import "../custom/property/assets/style/common.scss"; */

import avw_custom from "./../lib/avw_custom.umd.min.js";


import axios from 'axios';

Vue.config.productionTip = false;
Vue.use(ElementUI);
Vue.use(avw_custom)

Vue.prototype.$axios = axios;

// 根Vue
new Vue({
  router,
  render: h => h(App)
}).$mount('#app');