module.exports = {
  //关闭eslint校验
  lintOnSave: false,
  //sourceMap文件设置
  productionSourceMap: false,
  chainWebpack: config => {
    //配置打包编译路径
    config.module.rule('js').include.add('/custom').end().use('babel').loader('babel-loader').tap(options => {
      return options
    });
    // 配置全局的图片路径
    config.module.rule('images').use('url-loader').options({
      limit: 50*1024,
      // name: '3d/images/[name].[ext]'
    });

    //配置打包报表
    // config
    //   .plugin('webpack-bundle-analyzer')
    //   .use(require('webpack-bundle-analyzer').BundleAnalyzerPlugin).end()
  },
  //配置不会生成单独的CSS文件
  css: {
    extract: false
  }
}